THOMSON mp3PRO Audio Player

THOMSON mp3PRO Audio Player - Overview

Controller Window - Overview
Audio File Library - Overview
mp3PRO Audio Encoder - Overview

The THOMSON mp3PRO Audio Player application supports playback and encoding of mp3PRO and mp3 digital audio files. The demo version of the software allows for playback of both mp3 and mp3PRO formats at every available bit rate. The new mp3PRO format offers significantly improved audio quality over a wide range of bit rates. However, the encoder integrated in this demo application is restricted to generating mp3PRO files at a data rate of 64kbps from a standard 44.1kHz stereo .wav input file. Products with full mp3PRO encoding functionality will allow a broad variety of encoder configurations, including higher compression (48 kbps and below for stereo) and higher bit rates offering enhanced audio bandwidth (>= 20 kHz) and quality. This software does not include CD audio ripping capabilities, so CD audio data must first be stored as the .wav format and then converted to the new mp3PRO format using the previously described encoder. Be on the lookout for mp3PRO support and advanced functionality such as CD ripping in all of your favorite mp3 software and hardware very soon though.

For more information about the mp3PRO Digital Audio format please visit Coding Technologies on the Internet.

For more information about this application please visit THOMSON multimedia on the Internet.


mp3PRO Audio Player Controller Window

Controller Window - Overview

Controller Window - Views
Controller Window - Context Menu

The controller window is the application's central point for listening and navigating through your mp3PRO digital audio files. It provides facilities for controlling playback and a status display for informational purposes.

The controller window can be configured to adopt one of two available appearance style flavours, according to your personal preference and taste.

To select a new file for playback, you can either by hit the Select button, select Open mp3 File... from the context menu, double-click an mp3 item in the Audio File Library window or drag an mp3 file from an Explorer window to the mp3PRO player's controller window. You can also play multiple songs by using the advanced features found in the Audio File Library window.

The controller window supports the following keyboard shortcuts: hitting the ENTER or RETURN key opens a file selector box to select a new file for playback, hitting the SPACE bar starts/continues or pauses playback, and PAGE UP/DOWN keystrokes will advance to the next song or return to the previous song while playing back multiple files. For information on how to play back multiple files, please see the Audio File Library section.

Double-clicking the controller window's background area will toggle a standard window caption bar with minimize/close buttons, while single-clicking and dragging the background area enables moving the window around on the screen.


mp3PRO Audio Player Controller Window

Controller Window - Basic View / Extended View

Controller Window - Overview
Controller Window - Context Menu

The controller window provides two appearances styles that can be chosen using the Player Skin Appearance option in the context menu. The two available styles are the Oceanic skin and the Brushed Metal skin. Both provide the same functionality, but have different ways of presenting it to the user. You can choose which style to use, according to your preference.

Both skin styles are compromised of two major sections, which are the status display and the control buttons. The status display can be found in the upper half of the window. This displays certain parameters of the currently playing audio stream, such as current time position, sampling rate, number of channels, bit rate and a visual indication whether this is an mp3PRO enhanced file or not. The visual indication of the mp3PRO enhancement is different for the two skin types.

mp3PRO Display/Control: In the Oceanic skin, the large PRO button located in the upper-right hand corner of the window will visually appear to change from a disabled state to enabled 'glowing' state when playing mp3PRO enhanced files. If this button is pressed, it will turn mp3PRO enhancement off, which is the output a standard mp3 player would produce. In the Brushed Metal skin, this functionality is provided using a small button located on the status display. When playing mp3PRO-enhanced files, this button will read 'PRO' in red. The enhancement can be toggled on and off by pressing this button. For both skin types, this functionality is only present when playing songs that have been encoded with mp3PRO enhancement. If playing back a standard mp3 or a WAV file, the PRO button will appear disabled for the Oceanic skin, or will not appear at all in the case of the Brushed Metal skin. When decoding an mp3PRO file using the Write Decoded PCM File option in the context menu, the decoded song file will include or exclude the enhancement depending on the state of this button.

The playback of the audio stream can be controlled using a standard set of buttons that can be found on both skin types. The buttons are as follows:

Play/Stop: Starts playback of currently opened song. During playback the button turns into a Stop button. If pressed during playback the song will be stopped and rewinded to the beginning, the button turns back into the Play button. It must be pressed again to resume playback. If the button is pressed and no input file is selected, a select window will pop up.

Pause: Pauses playback of currently opened song.

Next: Advances to the next song when playing multiple song files. See the Audio File Library information for instructions on how to do this. When playing only one file, this button does nothing.

Previous: Return to the previous song when playing multiple song files. See the Audio File Library information for instructions on how to do this. When playing only one file, this button does nothing.

Additional functionality is provided, but is different depending on which skin is being used. When using the Brushed Metal skin, this additional information is hidden with an 'extended' view. You can switch from basic to extended view and back, either by clicking the small triangle on the right or selecting the corresponding function from the context menu. The 'extended' view holds additional controls that are already present in the main window of the Oceanic skin.

These additional controls include the following:

Playback Position: A horizontal slider that allows for changing the position in time of the currently playing song. At the same time the slider also indicates the position of the currently played audio within the song.

Volume Slider: Allows for changing the output volume. This is presented as a pop-up slider panel in the Brushed Metal skin. In the Oceanic skin, the slider is always shown, and is located above the playback control buttons mentioned above.

Graphical Equalizer (Brushed Metal skin only): The graphical equalizer can only be found in the 'extended' view of the Brushed Metal skin. It allows for the fine-tuning of the sound of mp3PRO files. It will only work when playing mp3PRO files, and not plain mp3 or wav formats.

Additional information for these controls is provided via tooltips whenever it is available. The tooltips will appear when the mouse cursor is placed over an item in the main window, such as the status display or a button, for a small length of time.


mp3PRO Audio Player Controller Window

Controller Window - Context Menu Entries

Controller Window - Overview
Controller Window - Views

Depending on the program's current state, the controller window's context menu will provide access to the following functions:

Open mp3 File...
- select a new file for playback, same as hitting the ENTER or RETURN key.

Write Decoded PCM File...
- write decoder output to a Linear PCM file rather than play back through standard audio output. This function allows for decoding of both mp3 and mp3PRO files to PCM wav format. Depending upon the state of the PRO button, found in the main window view, the decoded wav file will include the extra mp3PRO enhancement or not.

Basic Controls / Extended Controls
- toggle view mode for 'Brushed Metal' skin.

Show Window Caption Bar
- toggle display state of the standard window caption bar. This is the same as double clicking the window background area.

Next Item in Folder
- advance playback to next item in the current library folder. Does nothing when only playing one file.

Previous Item in Folder
- select previous item in the current library folder for playback. Does nothing when only playing one file.

Audio File Library
- show the Audio File Library window.

mp3PRO Encoder
- show the mp3PRO Encoder window.

Select Conversion Directory
- optionally choose a directory that the mp3PRO Encoder window will use as a default location for storing the resulting mp3PRO output files.

Adjust Playback Volume
- show a simple volume control panel.

Reset Gain Levels ('Brushed Metal' skin only)
- set all graphical equalizer gain values to linear, so that no amplification or attenuation will take place.

Player Skin Appearance
- choose one of currently two available skin style flavours.

Help Topics for this Window
- display the online help chapter describing the controller window.

Minimize Application
- minimize mp3PRO Audio Player.

About mp3PRO Audio Player
- display program About Box and version information.

Quit mp3PRO Audio Player
- terminate the program.


mp3PRO Audio Player Audio File Library

Audio File Library - Overview

Audio Library - Working with Files
Audio Library - Working with Folders
Audio Library - Context Menu Entries

The audio file library window is a place that allows you to keep track of your mp3PRO, mp3 and wav digital audio files. It provides basic functionality for maintaining and working with a number of files at a time. The library is organized in folders that can hold .mp3 and .wav files, and a temporary scratch area that is not persistent between sessions.


Audio File Library - Working with Files

Audio Library - Overview
Audio Library - Working with Folders
Audio Library - Context Menu Entries

You can add .mp3 and .wav files to the library either by dragging one or several files to the library window, clicking the Add... button at the top of the window, or selecting the Add to Library function from the context menu. You can perform certain actions by single- or double-clicking items, or drag them to a different location in the library. You can also access certain item-specific functionality in the context menu (usually configured to pop up when clicking the right mouse button on an item in the library).

Simply dragging a file to a different location or folder will move the file, dragging a file to a different location while holding down the CTRL key will swap the files. Files can be removed from the library either by hitting the DELETE key or selecting Delete from Library from the context menu. Hitting the RETURN key is equivalent with double-clicking the currently selected file.

See also:
Working with .mp3 files
Working with .wav files


Audio File Library - Working with .mp3 files

Audio Library - Overview
Audio Library - Working with Files
Audio Library - Working with Folders
Audio Library - Context Menu Entries

Double-clicking an .mp3 file will start playing the file in the controller window, whereas single-clicking an .mp3 file will display the file's Song Title, Artist and Album information in the bottom area of the library window. You can edit the file's id3 tag information as long as the Lock File Info Editing option is unchecked in the Context Menu.

When you choose a file for playback from the controller window while the library is open, it will automatically be added to the temporary area. It can then conveniently be moved from there to a folder if desired. The temporary area is the list of files that is not contained within a folder. Please note that files in the temporary area will automatically be removed after the Audio File Library is closed.

MPEG Layer-3 encoded audio data embedded in audio file container formats such as eg AIFC or Microsoft RIFF/WAVE is supported for playback and will correspondingly be marked as .mp3 content in the file library window.

See also:
Working with .wav files


Audio File Library - Working with .wav files

Audio Library - Overview
Audio Library - Working with Files
Audio Library - Working with Folders
Audio Library - Context Menu Entries

Double-clicking a linear audio .wav file (or hitting the Encoder button with a .wav file currently selected) will open the mp3PRO encoder window with appropriate default settings for generating an mp3PRO digital audio file from this particular source.

The resulting mp3PRO output file will automatically be stored in the same library folder as the .wav input file unless you disable the Add To Library checkbox in the encoder window. Please note that the free version of this software exclusively supports encoding 44.1kHz stereo linear PCM files to 64kbps stereo constant bitrate mp3PRO files.

For more information please visit Coding Technologies on the internet.

See also:
Working with .mp3 files


Audio File Library - Working with Folders

Audio Library - Overview
Audio Library - Working with Files
Audio Library - Context Menu Entries

Folders serve as logical containers for .mp3 and .wav files; you can use them as a means to organize your files by categories and for automatic playback of a number of audio files in either sequential or random order (Play All Items and Play shuffled menu functions, respectively).

Standard .m3u playlist files, as commonly used by other programs, can be imported to the file library via the Add to library... context menu function or the Add... button found at the top of the window. They can also be dragged from an Explorer window and dropped onto the Audio Library window. This creates a folder with the same name and files as contained in the .m3u file. Folders can also be exported to a .m3u playlist file for use with other programs by selecting the Save as Playlist function from the context menu.

Alternatively, folders can be exported to a simple HTML template file by selecting the Save as HTML context menu function, which you can use for example with a properly configured web browser. You can change a folder's name either by selecting the Rename folder menu entry or by hitting the RETURN key whith a folder currently selected.

Same as with files, folders can be permanently removed from the library either by hitting the DELETE key or selecting Delete from Library from the context menu.

Dragging a folder onto another one in the library will merge all files from both folders into one. Selecting the Sort Items By Name function for a folder will bring the contained files into alphabetical order.


Audio File Library - Context Menu Entries

Audio Library - Overview
Audio Library - Working with Files
Audio Library - Working with Folders

Depending on the program's current state, the library window's context menu will provide access to the following functions.

Functions specific to files:

Convert to mp3PRO (.wav files only)
- show the mp3PRO Encoder window with appropriate default settings for encoding the selected file to mp3PRO format

Play Now
- open the selected .mp3 or .wav file for playback in the controller window

Functions specific to folders:

Play All Items
- play all files contained in this folder in sequential order.

Play Shuffled
- play all files contained in this folder in random order.

Sort Items By Name
- sort files contained in this folder in alphabetical order.

Rename Folder
- change the displayed title for this folder.

Save As Playlist File
- export folder to an .m3u playlist file for use with other programs.

Save As HTML File
- export folder to a simple .html template file for use with Internet applications.

Functions for files and folders:

Delete From Library
- permanently remove the selected item from your audio file library.

Create New Folder
- create an empty folder.

Add to Library
- add one or multiple files in .mp3, .wav or .m3u format to the currently selected folder.

Lock File Info Editing
- prevent the file info fields from being inadvertently deleted or modified.

mp3PRO Encoder
- show the mp3PRO Encoder window.

Select Conversion Directory
- optionally choose a directory that the mp3PRO Encoder window will use as a default location for storing the resulting mp3PRO output files.

Adjust Playback Volume
- show a simple volume control panel.

Player Skin Appearance
- choose one of currently two available skin style flavours.

Help Topics for this Window
- display the online help chapter describing the audio file library.

Minimize Application
- minimize mp3PRO Audio Player.

About mp3PRO Audio Player
- display program About Box and version information.

Quit mp3PRO Audio Player
- terminate the program.


mp3PRO Audio Encoder Window

mp3PRO Encoder Window - Overview

About mp3PRO Digital Audio

The encoder window allows you to convert your Linear PCM .wav audio files into high quality mp3PRO digital audio files. The demo version of this software only allows encoding of PCM .wav data sampled at 44.1 kHz into the new mp3PRO format at a data rate of 64 kbps, but is unlimited with respect to number of files or period of time. The encoder does not include CD audio ripping capabilities, so CD audio data must first be stored as the .wav format and then converted to the new mp3PRO format. For information on the availability of advanced mp3PRO encoding software including support for other datarates please visit Coding Technologies on the Internet.

To encode a .wav file into mp3PRO, it must be selected in the Input field by either selecting it from the Audio File Library window or browsing for it on your computer's file system. By right clicking on a .wav file in an Explorer window and choosing Encode to mp3PRO, you can launch the encoder window without having to run the main application. Optionally, you can then select the name of the output file in the Output field, or accept the default output name provided. Selecting the Output Directory button at the top of the window will change the supplied default output directory for future use.

Once the input file and the output file have been specified, encoding can begin. A number of options can be selected to alter the encoding process. They are as follows:

Allow Intensity Stereo: Intensity stereo is used to increase sound quality by coding a single channel plus stereo pan information rather than two independent channels. By un-checking this option you can achieve a better stereo image at the loss of sound quality. The default is checked.

Extra High Quality: Selecting this option slightly decreases the speed of the encoding process to achieve highest sound quality. The default is checked.

Monitor Playback: If this is checked, you can listen to the song while it is being encoded, thus encoding speed matches exactly real-time whereas not using this feature on a fast PC encoding times of only a fraction of the length of the song may be achieved.. The volume button located at the upper-right portion of the screen can be used to change the output volume when monitoring playback. This does not affect the volume of the encoded file though. The default is unchecked.

Add File To Library: This option adds the encoded song to the Audio File Library.

Code Original File length: If this is checked, information about the original filelength and the codec delay are coded within the ancillary data of the first frame of the bitstream. A decoder capable of extracting this information is able to cut the decoded output at the start and the end in such a way that the length of the original file is preserved and the delay introduced by the encoder is compensated. The default is unchecked.

Once the Encode button is pressed, the encoding process will begin. The status of the encoding is displayed in the lower portion of the window. You can stop the process at any time by pressing the Stop button.


About mp3PRO Digital Audio

mp3PRO Encoder Window - About mp3PRO Digital Audio

mp3PRO Encoder Window - Overview

mp3PRO is the combination of standard mp3 audio and Coding Technologies' Spectral Band Replication (SBR) enhancement technique, while being backwards and forwards compatible. The new mp3PRO format offers significantly improved audio quality over a wide range of bit rates.

Using advanced psychoacoustics techniques and music structure analysis, mp3PRO creates files that are more compact than original mp3 files, with great sound quality. You will be able to play all of your old mp3 files. New mp3PRO files will play normally on old mp3 players, but without the dramatic mp3PRO improvements. Of course, new mp3PRO files played on this application, or any mp3PRO-enhanced application, will provide the optimal listening experience!

When making an mp3PRO file, the new mp3PRO encoder splits audio recordings into two parts. One part analyzes the low frequency band information and encodes it into a normal mp3 stream. This allows the encoder to concentrate on less information and allows it to do a better job of encoding. This also maintains complete compatibility with old mp3 players. The second part analyzes the high frequency band information and encodes it into a part of the mp3 stream that is normally ignored by old mp3 decoders. New or upgraded mp3PRO decoders will tap into this part of the stream and put the two bands back together, resulting in the full audio bandwidth.

The resulting performance of mp3PRO is significantly higher than that of mp3. mp3PRO at 64 kbps performs better than mp3 at 96 kbps, offering a convenient way to drastically improve the storage efficiency of portable players. Products with full mp3PRO encoding functionality will allow a broad variety of encoder configurations, including higher compression (48 kbps and below for stereo) and higher bit rates offering enhanced audio bandwidth (>= 20 kHz) and quality.

For streaming applications, mp3PRO will help to increase the audio bandwidth of the compressed signal, giving it a substantial audio quality boost over current streaming mp3 formats at the same bitrate. This means improvements to every aspect of your digital music listening experience: faster download times, higher audio quality streaming music, and increased storage capacity.